<?php

namespace TEC\Tickets_Wallet_Plus\Contracts\Settings;

/**
 * Class HTML_Setting_Abstract.
 *
 * @since   6.0.0 Migrated to Event Tickets Plus from Wallet Plus
 *
 * @package TEC\Tickets_Wallet_Plus\Passes\Contracts\Setting
 */
abstract class HTML_Setting_Abstract implements Setting_Interface {

	/**
	 * @inheritDoc
	 */
	abstract public function get_key(): string;

	/**
	 * @inheritDoc
	 */
	abstract public function get_label(): string;

	/**
	 * @inheritDoc
	 */
	abstract public function get_slug(): string;

	/**
	 * {@inheritdoc}
	 */
	public function can_be_empty(): bool {
		return true;
	}

	/**
	 * Get the setting definition.
	 *
	 * @since   6.0.0 Migrated to Event Tickets Plus from Wallet Plus
	 *
	 * @return array The setting definition.
	 */
	public function get_definition(): array {
		$setting = [
			'type' => 'html',
			'html' => $this->get_label(),
		];

		$slug = $this->get_slug();

		/**
		 * Filter the definition for this modifier visibility setting.
		 *
		 * @since 6.0.0 Migrated to Event Tickets Plus from Wallet Plus
		 *
		 * @param array $setting The definition for the visibility modifier setting.
		 */
		return apply_filters( "tec_tickets_wallet_plus_{$slug}_text_get_setting_definition", $setting );
	}
}
