<?php
/**
 * Tickets Commerce: Checkout Cart Item Extra details
 *
 * Override this template in your own theme by creating a file at:
 * [your-theme]/tribe/tickets-plus/v2/commerce/checkout/cart/item/details/extra.php
 *
 * See more documentation about our views templating system.
 *
 * @link    https://evnt.is/1amp Help article for RSVP & Ticket template files.
 *
 * @since   5.3.0
 *
 * @version 5.3.0
 *
 * @var \Tribe__Template $this             [Global] Template object.
 * @var Module           $provider         [Global] The tickets provider instance.
 * @var string           $provider_id      [Global] The tickets provider class name.
 * @var array[]          $items            [Global] List of Items on the cart to be checked out.
 * @var bool             $must_login       [Global] Whether login is required to buy tickets or not.
 * @var string           $login_url        [Global] The site's login URL.
 * @var string           $registration_url [Global] The site's registration URL.
 * @var bool             $is_tec_active    [Global] Whether `The Events Calendar` is active or not.
 * @var array[]          $gateways         [Global] An array with the gateways.
 * @var int              $gateways_active  [Global] The number of active gateways.
 * @var array            $item             Which item this row will be for.
 */

// Bail if there's no extra info.
if ( empty( $item['extra']['attendees'] ) ) {
	return;
}

?>
<?php foreach ( $item['extra']['attendees'] as $key => $attendee ) : ?>
	<div class="tribe-tickets__commerce-checkout-cart-item-details-description-attendee">
		<?php $this->template( 'checkout/cart/item/details/extra/name/attendee', [ 'key' => $key ] ); ?>
		<?php $this->template( 'checkout/cart/item/details/extra/name/iac', [ 'attendee' => $attendee ] ); ?>
		<?php $this->template( 'checkout/cart/item/details/extra/fields', [ 'attendee' => $attendee ] ); ?>
	</div>
<?php endforeach; ?>
